cwlVersion: v1.0
class: Workflow
label: cnv_gridss

doc: |
  CNV GRIDSS calling

requirements:
  ScatterFeatureRequirement: {}

inputs:
  bams: {type: 'File[]'}
  reference_genome: {type: File}
  blacklist: {type: 'File?'}
  threads: {type: 'int?'}
  min_len: {type: string}
  max_len: {type: string}
  min_q: {type: string}

outputs:
  output: {type: 'File[]', outputSource: gridss_filter/output}

steps:
  gridss:
    run: ../tools/gridss.cwl
    in:
      input: bams
      reference_genome: reference_genome
      blacklist: blacklist
      threads: threads
    scatter: input
    out: [output]

  structural_variants:
    run: ../tools/structural_variants.cwl
    in:
      input:
        source: gridss/output
    scatter: input
    out: [output]

  gridss_filter:
    run: ../tools/gridss_filter.cwl
    in:
      input:
        source: structural_variants/output
      min_len: min_len
      max_len: max_len
      min_q: min_q
    scatter: input
    out: [output]

  # gridss_union:
  #   run: ../tools/bedops_union.cwl
  #   in:
  #     input:
  #       source: gridss_filter/output
  #   out: [output]
  #
  # bedtools_sort:
  #   run: ../tools/bedtools_sort.cwl
  #   in:
  #     input:
  #       source: gridss_union/output
  #   out: [output]
