cwlVersion: v1.0
class: CommandLineTool
id: bedtools-intersect
label: bedtools_intersect

doc: |
  Intersect a BED file with 2 or more BED files

requirements:
  InlineJavascriptRequirement: {}
  InitialWorkDirRequirement:
    listing:
      - $(inputs.file)
      - $(inputs.files)

hints:
  DockerRequirement:
    dockerPull: 'quay.io/biocontainers/bedtools:2.26.0gx--he513fc3_4'

baseCommand: [bedtools, intersect]

arguments:
  - position: 3
    valueFrom: '-v'

inputs:
  file:
    type: File
    inputBinding:
      position: 1
      prefix: '-a'
  files:
    type: File[]
    inputBinding:
      position: 2
      prefix: '-b'

stdout: $(inputs.file.nameroot.split('.').slice(1).join('.')).merged.bed

outputs:
  output:
    type: stdout
