cwlVersion: v1.0
class: CommandLineTool
id: codex-filter
label: codex_filter

doc: |
  BED filtering

requirements:
  ShellCommandRequirement: {}

baseCommand: [bash, -c]

inputs:
  script:
    type: string?
    inputBinding:
      position: 1
    default: |
      INPUT_FILE=$0
      MIN_LEN=$1
      MAX_LEN=$2
      MIN_LRATIO=$3
      OUTPUT_NAME=${INPUT_FILE/_Chrom.txt/.filtered.bed}
      OUTPUT_FILE=$(echo "$OUTPUT_NAME" | sed "s/.*\///")

      tail -n +2 $INPUT_FILE | awk -v maxLen=$MAX_LEN -v minLen=$MIN_LEN -v minLRatio=$MIN_LRATIO '{ \
      chr=$2; \
      start=$4; \
      end=$5; \
      sample=$1; \
      len=$6; \
      lratio=$12; \
      st_exon=$7; \
      ed_exon=$8; \
      type=$3=="del"?"DEL":"DUP"; \
      if(len>minLen && \
         len<maxLen && \
         len/(ed_exon-st_exon)<50 && \
         lratio>=minLRatio){
           print chr"\t"start"\t"end"\t"type"\t"sample}}' > ${OUTPUT_FILE}

  input:
    type: File
    inputBinding:
      position: 2
  min_len:
    type: string
    inputBinding:
      position: 3
  max_len:
    type: string
    inputBinding:
      position: 4
  min_lratio:
    type: string
    inputBinding:
      position: 5

outputs:
  output:
    type: File
    outputBinding:
      glob: "*"
