cwlVersion: v1.0
class: CommandLineTool
id: gridss-filter
label: gridss_filter

doc: |
  BED filtering

requirements:
  ShellCommandRequirement: {}

baseCommand: [bash, -c]

inputs:
  script:
    type: string?
    inputBinding:
      position: 1
    default: |
      INPUT_FILE=$0
      MIN_LEN=$1
      MAX_LEN=$2
      MIN_Q=$3
      OUTPUT_NAME=${INPUT_FILE/raw/filtered}
      OUTPUT_FILE=$(echo "$OUTPUT_NAME" | sed "s/.*\///")

      tail -n +2 $INPUT_FILE | awk -v maxLen=$MAX_LEN -v minLen=$MIN_LEN -v minQ=$MIN_Q '{ \
      chr=$1; \
      start=$2; \
      end=$6; \
      q=$11; \
      len=(end-start)/1000; \
      type=$7; \
      if(len>minLen && \
         len<maxLen && \
         q>=minQ && \
         (type=="DEL" || type=="DUP")){
           print chr"\t"start"\t"end"\t"type"\t"sample}}' > ${OUTPUT_FILE}

  input:
    type: File
    inputBinding:
      position: 2
  min_len:
    type: string
    inputBinding:
      position: 3
  max_len:
    type: string
    inputBinding:
      position: 4
  min_q:
    type: string
    inputBinding:
      position: 5

outputs:
  output:
    type: File
    outputBinding:
      glob: "*"
