cwlVersion: v1.0
class: CommandLineTool
id: picard-markduplicates
label: picard_markduplicates

doc: |
  Mark Duplicates

requirements:
  InlineJavascriptRequirement: {}
  InitialWorkDirRequirement:
    listing:
      - $(inputs.input)

hints:
  DockerRequirement:
    dockerPull: 'quay.io/biocontainers/picard:2.10.6--py35_0'

baseCommand: [picard, MarkDuplicates]

arguments:
  - position: 2
    valueFrom: OUTPUT=$(inputs.input.nameroot).debup.bam
  - position: 3
    valueFrom: METRICS_FILE=$(inputs.input.nameroot).debup.metrics.txt
  - position: 4
    valueFrom: ASSUME_SORTED=TRUE

inputs:
  input:
    type: File
    inputBinding:
      position: 1
      prefix: 'INPUT='
      separate: false

outputs:
  alignments:
    type: File
    outputBinding:
      glob: '*.sorted.debup.bam'
  metrics:
    type: File
    outputBinding:
      glob: '*.sorted.debup.metrics.txt'
